libdap::D4BaseTypeFactory Class Reference

`#include <D4BaseTypeFactory.h>`

Inheritance diagram for libdap::D4BaseTypeFactory:

## Public Member Functions

virtual Array * | NewArray (const string &n="", BaseType *v=0) const
virtual Byte * | NewByte (const string &n="") const
virtual Byte * | NewChar (const string &n="") const
virtual D4Sequence * | NewD4Sequence (const string &n="") const
virtual D4Enum * | NewEnum (const string &n="", Type type=dods_null_c) const
virtual Float32 * | NewFloat32 (const string &n="") const
virtual Float64 * | NewFloat64 (const string &n="") const
virtual Grid * | NewGrid (const string &n="") const
virtual D4Group * | NewGroup (const string &n="") const
virtual Int16 * | NewInt16 (const string &n="") const
virtual Int32 * | NewInt32 (const string &n="") const
virtual Int64 * | NewInt64 (const string &n="") const
virtual Int8 * | NewInt8 (const string &n="") const
virtual D4Opaque * | NewOpaque (const string &n="") const
virtual Sequence * | NewSequence (const string &n="") const
virtual Str * | NewStr (const string &n="") const
virtual Structure * | NewStructure (const string &n="") const
virtual UInt16 * | NewUInt16 (const string &n="") const
virtual UInt32 * | NewUInt32 (const string &n="") const
virtual UInt64 * | NewUInt64 (const string &n="") const
virtual Byte * | NewUInt8 (const string &n="") const
virtual Url * | NewURL (const string &n="") const
virtual Url * | NewUrl (const string &n="") const
virtual BaseType * | NewVariable (Type t, const string &name) const
virtual BaseTypeFactory * | ptr_duplicate () const

## Detailed Description

Return instances of objects that are to be stored in a DDS for a DAP4 dataset.

Definition at line 71 of file D4BaseTypeFactory.h.

## Constructor & Destructor Documentation

## D4BaseTypeFactory()

libdap::D4BaseTypeFactory::D4BaseTypeFactory | ( |  | ) |

inline

Definition at line 73 of file D4BaseTypeFactory.h.

## ~D4BaseTypeFactory()

virtual libdap::D4BaseTypeFactory::~D4BaseTypeFactory | ( |  | ) |

inline virtual

Definition at line 74 of file D4BaseTypeFactory.h.

## Member Function Documentation

## NewArray()

Array * libdap::D4BaseTypeFactory::NewArray | ( | const string & | n = "",
|  | BaseType * | v = 0 ) const

virtual

Reimplemented from libdap::BaseTypeFactory.

Definition at line 232 of file D4BaseTypeFactory.cc.

## NewByte()

Byte * libdap::D4BaseTypeFactory::NewByte | ( | const string & | n = "" | ) | const

virtual

Reimplemented from libdap::BaseTypeFactory.

Definition at line 123 of file D4BaseTypeFactory.cc.

## NewChar()

Byte * libdap::D4BaseTypeFactory::NewChar | ( | const string & | n = "" | ) | const

virtual

Definition at line 131 of file D4BaseTypeFactory.cc.

## NewD4Sequence()

D4Sequence * libdap::D4BaseTypeFactory::NewD4Sequence | ( | const string & | n = "" | ) | const

virtual

Definition at line 240 of file D4BaseTypeFactory.cc.

## NewEnum()

D4Enum * libdap::D4BaseTypeFactory::NewEnum | ( | const string & | name = "",
|  | Type | type = dods_null_c ) const

virtual

Enums need a name and the name of an enumeration that was defined by the dataset. If the later is not known, it must be set before the enum is used.

Parameters

  name |
  enum_name |

Returns

Definition at line 208 of file D4BaseTypeFactory.cc.

## NewFloat32()

Float32 * libdap::D4BaseTypeFactory::NewFloat32 | ( | const string & | n = "" | ) | const

virtual

Reimplemented from libdap::BaseTypeFactory.

Definition at line 189 of file D4BaseTypeFactory.cc.

## NewFloat64()

Float64 * libdap::D4BaseTypeFactory::NewFloat64 | ( | const string & | n = "" | ) | const

virtual

Reimplemented from libdap::BaseTypeFactory.

Definition at line 195 of file D4BaseTypeFactory.cc.

## NewGrid()

Grid * libdap::BaseTypeFactory::NewGrid | ( | const string & | n = "" | ) | const

virtual inherited

Definition at line 114 of file BaseTypeFactory.cc.

## NewGroup()

D4Group * libdap::D4BaseTypeFactory::NewGroup | ( | const string & | n = "" | ) | const

virtual

Definition at line 242 of file D4BaseTypeFactory.cc.

## NewInt16()

Int16 * libdap::D4BaseTypeFactory::NewInt16 | ( | const string & | n = "" | ) | const

virtual

Reimplemented from libdap::BaseTypeFactory.

Definition at line 151 of file D4BaseTypeFactory.cc.

## NewInt32()

Int32 * libdap::D4BaseTypeFactory::NewInt32 | ( | const string & | n = "" | ) | const

virtual

Reimplemented from libdap::BaseTypeFactory.

Definition at line 163 of file D4BaseTypeFactory.cc.

## NewInt64()

Int64 * libdap::D4BaseTypeFactory::NewInt64 | ( | const string & | n = "" | ) | const

virtual

Definition at line 176 of file D4BaseTypeFactory.cc.

## NewInt8()

Int8 * libdap::D4BaseTypeFactory::NewInt8 | ( | const string & | n = "" | ) | const

virtual

Definition at line 145 of file D4BaseTypeFactory.cc.

## NewOpaque()

D4Opaque * libdap::D4BaseTypeFactory::NewOpaque | ( | const string & | n = "" | ) | const

virtual

Definition at line 222 of file D4BaseTypeFactory.cc.

## NewSequence()

Sequence * libdap::BaseTypeFactory::NewSequence | ( | const string & | n = "" | ) | const

virtual inherited

Definition at line 109 of file BaseTypeFactory.cc.

## NewStr()

Str * libdap::D4BaseTypeFactory::NewStr | ( | const string & | n = "" | ) | const

virtual

Reimplemented from libdap::BaseTypeFactory.

Definition at line 210 of file D4BaseTypeFactory.cc.

## NewStructure()

Structure * libdap::D4BaseTypeFactory::NewStructure | ( | const string & | n = "" | ) | const

virtual

Reimplemented from libdap::BaseTypeFactory.

Definition at line 234 of file D4BaseTypeFactory.cc.

## NewUInt16()

UInt16 * libdap::D4BaseTypeFactory::NewUInt16 | ( | const string & | n = "" | ) | const

virtual

Reimplemented from libdap::BaseTypeFactory.

Definition at line 157 of file D4BaseTypeFactory.cc.

## NewUInt32()

UInt32 * libdap::D4BaseTypeFactory::NewUInt32 | ( | const string & | n = "" | ) | const

virtual

Reimplemented from libdap::BaseTypeFactory.

Definition at line 170 of file D4BaseTypeFactory.cc.

## NewUInt64()

UInt64 * libdap::D4BaseTypeFactory::NewUInt64 | ( | const string & | n = "" | ) | const

virtual

Definition at line 183 of file D4BaseTypeFactory.cc.

## NewUInt8()

Byte * libdap::D4BaseTypeFactory::NewUInt8 | ( | const string & | n = "" | ) | const

virtual

Definition at line 138 of file D4BaseTypeFactory.cc.

## NewURL()

Url * libdap::D4BaseTypeFactory::NewURL | ( | const string & | n = "" | ) | const

virtual

Note that this method is called NewURL - URL in caps.

Definition at line 226 of file D4BaseTypeFactory.cc.

## NewUrl()

Url * libdap::D4BaseTypeFactory::NewUrl | ( | const string & | n = "" | ) | const

virtual

Reimplemented from libdap::BaseTypeFactory.

Definition at line 216 of file D4BaseTypeFactory.cc.

## NewVariable()

BaseType * libdap::D4BaseTypeFactory::NewVariable | ( | Type | t,
|  | const string & | name ) const

virtual

Build a new variable and return it using a BaseType pointer. The type of the variable is given using Type enumeration.

Note
  Added for DAP4

Parameters

  t | The type of the variable to create @parma name The (optional) name of the variable.

Reimplemented from libdap::BaseTypeFactory.

Definition at line 65 of file D4BaseTypeFactory.cc.

## ptr_duplicate()

virtual BaseTypeFactory * libdap::D4BaseTypeFactory::ptr_duplicate | ( |  | ) | const

inline virtual

Clone this object and return a pointer to the clone.

Note
  added for DAP4

Reimplemented from libdap::BaseTypeFactory.

Definition at line 78 of file D4BaseTypeFactory.h.

The documentation for this class was generated from the following files:

- D4BaseTypeFactory.h
- D4BaseTypeFactory.cc